petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecCreateSeqCUDA

Creates a standard, sequential array-style vector.

### Synopsis

    #include <petscvec.h>
    PetscErrorCode VecCreateSeqCUDA(MPI_Comm comm,PetscInt n,Vec *v)

Collective on MPI_Comm

### Input Parameter

+ comm - the communicator, should be PETSC_COMM_SELF - n - the vector length

### Output Parameter

. v - the vector

### Notes

Use VecDuplicate() or VecDuplicateVecs() to form additional vectors of the same type as an existing vector.

.seealso: VecCreateMPI(), VecCreate(), VecDuplicate(), VecDuplicateVecs(), VecCreateGhost()

### Level

intermediate

### Location

src/vec/vec/impls/seq/seqcuda/veccuda.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages